<template>
  <div>
    <section class="mobile-announcement d-lg-none">
      
      {{ headline_strip }}</section>
      <section class="header">
        <div class="container">
          <div class="row">
            <div class="col-7 col-sm-9 col-md-3 col-lg-3 pb-0"><a class="logo-img" href="/" :title="domain.name"  replace><img :alt="domain.name" :src="`${options.storage_root}${domain.logo_path}`"></a>
              <v-app class="vue-front-end-fixed"></v-app>
            </div>
            <div class="col-5 col-sm-9 col-md-9 col-lg-9 pb-0 pl-0">
              <div class="top_menu">
                <ul class="icon_links d-none d-md-block">
                  <li class="icon_list search_top_s">
                    <product-search></product-search>
                  </li>
                  <li class="icon_list icon_list_phone"> <span class="icon_list_phone_txt">Order Online or Call</span> <a href="tel:0893797375">9379 7375</a> </li>
                  <li class="icon_list"><a href="/cart/order-detail" replace> <span class="cart-icon"><span class="material-icons-outlined">shopping_cart</span></span> <span class="cart-txt">Cart</span><b>{{ cart_count }}</b></a></li>
                </ul>
                <ul class="d-block d-md-none">
                  <li class="icon_list icon_list_phone"><a  :href="`tel:${contact_phone_link}`"><span>Order Online or Call</span>{{ contact_phone_link }}</a></li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </section>
      <section class="menu_section">
        <div class="container">
          <div class="row">
            <div class="col-sm-12 pt-0 pb-0"><a href="javascript:void(0)" onClick="fnshowMenu()" class="mobilemenu_icon">Menu<span class="material-icons"> arrow_forward_ios </span></a>
              <ul class="icon_links d-md-none">
                
                <li class="icon_list search_icon"><a href="javascript:void(0)" onClick="showsearch(1);"><span class="material-icons">search</span></a></li>
                <li>
                  <a :href="`tel:${contact_phone_link}`">{{ contact_phone_text }}</a></li>
                <li class="icon_list"><a href="/cart/order-detail" replace><span class="material-icons-outlined">shopping_cart</span><b>{{ cart_count }}</b></a></li>
              </ul>
              <div class="navbar">
                <div class="navbar-header">
                  <nav id="navbar">
                    <ul class="navbar-nav" >
                      <li id="home"><a href="/" replace>Home</a></li>
                      <li :class="($route.params.cms=='about-us') ? 'active_item' : ''" id="about-us"><a href="/about-us" replace>About Us</a></li>
                      <li :class="($route.params.cms=='rent-own') ? 'active_item' : ''" id="rent-to-own"><a href="/rent-own" replace>Rent To Own</a></li>
                      <li :class="(this.$route.path=='/faqs') ? 'active_item' : ''" id="faqs"><a href="/faqs" replace>FAQs</a></li>
                      <li :class="(this.$route.path=='/contact-us') ? 'active_item' : ''" id="contact-us"><a href="/contact-us" replace>Contact</a></li>
                    </ul>
                  </nav>
                  <div class="menu-text">{{ headline_strip }}</div>
                </div>
              </div>
              <ul class="text_links d-xl-none d-block navbar-nav">
              <li class="close_menu text-right"><a href="javascript:;" class="pr-0 text-right" onclick="fnshowMenu()"><span
                    class="material-icons">close</span></a></li>
              <li class='dropdown' :class="(category.child_categories.length>0) ? 'has-sub-nav' : ''" v-for="(category, i) in category_options" :key="i"><a href='#'
                  style="pointer-events: none;">{{ category['name'] }}</a>
                <ul class='' v-if="category.child_categories.length > 0">
                  <li v-for="(child, x) in category.child_categories" :id='child.name'>

                    <a :href="`/${location}/${category['link_rewrite']}/${child['link_rewrite']}`">
                      <span>{{ child.name }}</span>
                    </a>
                  </li>
                </ul>
              </li>
              <li><a href="/about-us" replace>About Us</a></li>
              <li><a :href="['perth', 'mandurah'].includes(location) ? '/rent-own' : '/rent-own-east'" replace>Rent
                  To Own</a></li>
              <li><a href="/faqs" replace>FAQs</a></li>
              <li><a href="/contact-us" replace>Contact</a></li>

            </ul>
              <div id="header_search">
                <product-search></product-search>
              </div>
            </div>
          </div>
        </div>
      </section>
  </div>
    
</template>
<script>
import ProductSearch from './product-search.vue';
import options from '~/assets/options';
export default {
  components: { 'location' : ()=>import('./locationComp.vue'),'product-search' : ()=>import('./product-search') },
  data() {
    return {
      options     : options,
      category_options: this.$store.state.front_end_data.category_options,
      location    : this.$store.state.front_end_data.location_name,
      headline_strip  : this.$store.state.front_end_data.site_defaults.headline_strip,
      search      : "",
      product_options : [],
      loading     : false,
      product     : null,
      domain      : this.$store.state.front_end_data.domain,
      contact_phone_text: this.$store.state.front_end_data.site_defaults.headline_contact_text,
      contact_phone_link: this.$store.state.front_end_data.site_defaults.headline_contact_link,
    }
  },
  computed: {
    cart_count() {
      return (this.$store.state.front_end_data.cart_count!=null) ? this.$store.state.front_end_data.cart_count.count : 0;
    }
  },
  mounted() {
  },
  methods : {
  }
}
</script>
